View Issue Details

IDProjectCategoryView StatusLast Update
0025774mantisbtinstallationpublic2019-08-25 12:36
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Target Version2.22.0Fixed in Version2.22.0 
Summary0025774: Reflect PHP requirements in Composer config
Description

MantisBT currently requires PHP >= 5.5.0 and mbstring extension is mandatory per Admin Guide, so we might as well be consistent and require it in Composer as well.

This avoids warnings in code inspection tools (e.g. PHPStorm).

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 1e83c84f

2019-05-05 15:09:16

dregad

Details Diff
Composer: add required mbstring extension

This is mandatory per Admin Guide, so we might as well be consistent and
require it in Composer as well.

This avoids warnings in code inspection tools (e.g. PHPStorm).

Fixes 0025774
Affected Issues
0025774
mod - composer.json Diff File

MantisBT: master 7bfd765b

2019-05-05 15:10:37

dregad

Details Diff
Composer: add minimum PHP version (5.5.0)

Fixes 0025774
Affected Issues
0025774
mod - composer.json Diff File

Issue History

Date Modified Username Field Change
2019-05-18 09:04 dregad New Issue
2019-05-18 09:04 dregad Status new => assigned
2019-05-18 09:04 dregad Assigned To => dregad
2019-05-18 09:06 dregad Changeset attached => MantisBT master 1e83c84f
2019-05-18 09:06 dregad Changeset attached => MantisBT master 7bfd765b
2019-05-18 09:06 dregad Status assigned => resolved
2019-05-18 09:06 dregad Resolution open => fixed
2019-05-18 09:06 dregad Fixed in Version => 2.22.0
2019-08-25 12:36 vboctor Status resolved => closed